This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 868666 - (paris-traceroute) Review Request: paris-traceroute - A network diagnosis and measurement tool
Review Request: paris-traceroute - A network diagnosis and measurement tool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-10-21 10:52 EDT by Fabian Affolter
Modified: 2014-09-29 08:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-16 20:31:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2012-10-21 10:52:30 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/paris-traceroute.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/paris-traceroute-0.92-2.fc17.src.rpm

Project URL: http://www.paris-traceroute.net

Description:
Paris Traceroute is a fundamental upgrade to the standard Traceroute tool
that exists on all of the major operating systems. Standard Traceroute was
not designed to take into account the presence of load balancing routers,
which are widely deployed in today’s Internet, both at the core and at its
edges. As a result, standard Traceroute is not aware that there are often
multiple paths between a source and a destination in the Internet: the
paths will split at a load balancing router at one point along the route
and then reconverge some hops later. Standard traceroute is incapable of
furnishing this information to its users and instead reports what it states
to be a single path but is instead a confusing mixture of pieces of multiple
paths. Paris Traceroute is aware of the multiple paths and can report on any
single one of them accurately, as well as on all of them.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4612384

rpmlint output:
[fab@laptop11 SRPMS]$ rpmlint paris-traceroute-0.92-2.fc17.src.rpm 
paris-traceroute.src: W: spelling-error %description -l en_US reconverge -> re converge, re-converge, recon verge
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop11 x86_64]$ rpmlint paris-traceroute*
paris-traceroute.x86_64: W: spelling-error %description -l en_US reconverge -> re converge, re-converge, recon verge
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab
Comment 1 Michael Scherer 2012-10-23 03:12:46 EDT
A few notes :
- could you ask to upstream to clean his tarball, as there is binary 
distributed within ?
- while on it, the high level of warning of gcc do not seems good, so
if you could make upstream aware of them, it would be better
- I would also recommend to add a license header in every file, for various
reasons ( like people doing cut and paste of the whole file )

None of this is blocking so package is approved.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/misc/checkout/git/FedoraReview/868666-paris-
     traceroute/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: paris-traceroute-debuginfo-0.92-2.fc17.x86_64.rpm
          paris-traceroute-0.92-2.fc17.src.rpm
          paris-traceroute-0.92-2.fc17.x86_64.rpm
paris-traceroute.src: W: spelling-error %description -l en_US reconverge -> re converge, re-converge, recon verge
paris-traceroute.x86_64: W: spelling-error %description -l en_US reconverge -> re converge, re-converge, recon verge
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint paris-traceroute-debuginfo paris-traceroute
paris-traceroute.x86_64: W: spelling-error %description -l en_US reconverge -> re converge, re-converge, recon verge
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
paris-traceroute-debuginfo-0.92-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

paris-traceroute-0.92-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
paris-traceroute-debuginfo-0.92-2.fc17.x86_64.rpm:
    
    paris-traceroute-debuginfo = 0.92-2.fc17
    paris-traceroute-debuginfo(x86-64) = 0.92-2.fc17

paris-traceroute-0.92-2.fc17.x86_64.rpm:
    
    paris-traceroute = 0.92-2.fc17
    paris-traceroute(x86-64) = 0.92-2.fc17



MD5-sum check
-------------
http://www.paris-traceroute.net/downloads/paris-traceroute-0.92-dev.tar.gz :
  CHECKSUM(SHA256) this package     : 93f05a7f27374bd9b2dd474963679fffeee947642dd1c8478afc7cb72fbb4cbe
  CHECKSUM(SHA256) upstream package : 93f05a7f27374bd9b2dd474963679fffeee947642dd1c8478afc7cb72fbb4cbe


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-17-x86_64
Command line :./try-fedora-review -b 868666
Comment 2 Fabian Affolter 2012-10-28 03:15:46 EDT
Thanks for the review.
Comment 3 Michael Scherer 2012-11-23 08:23:25 EST
The package is approved, you need to ask for the git repo, no ?
Comment 4 Fabian Affolter 2012-11-25 12:26:38 EST
New Package SCM Request
=======================
Package Name: paris-traceroute
Short Description: A network diagnosis and measurement tool
Owners: fab
Branches: F17 F18
InitialCC:
Comment 5 Jon Ciesla 2012-11-25 14:42:34 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-12-02 11:19:01 EST
paris-traceroute-0.92-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/paris-traceroute-0.92-2.fc17
Comment 7 Fedora Update System 2012-12-02 11:19:13 EST
paris-traceroute-0.92-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/paris-traceroute-0.92-2.fc18
Comment 8 Fedora Update System 2012-12-02 14:32:28 EST
paris-traceroute-0.92-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2012-12-16 20:31:45 EST
paris-traceroute-0.92-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2013-01-11 19:37:50 EST
paris-traceroute-0.92-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fabian Affolter 2014-09-27 08:36:52 EDT
Package Change Request
======================
Package Name: paris-traceroute
New Branches: el6 epel7
Owners: fab
InitialCC:
Comment 12 Jon Ciesla 2014-09-29 08:04:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.